
PRODUCT_ID := Y1

LOAD_ADDRESS_FW := 0x08010000

include ../../../rules/common.make

CFLAGS += -D_STM32F215RGT6_ -D_STM3x_ -D_STM32x_ -mthumb -mcpu=cortex-m3 -mlittle-endian -funsigned-char

ASMFLAGS += -mcpu=cortex-m3 -mfpu=softvfp

# Value of __STACKSIZE__ is based on value of "Stack Used" of 664
LDFLAGS += -D_STM32F215RGT6_ -D_STM3x_ -D_STM32x_ \
  -mthumb -mcpu=cortex-m3 -mlittle-endian \
  -Wl,--defsym,__STACKSIZE__=848
